#import <ObjFW/ObjFW.h>
#import <ObjXMPP/ObjXMPP.h>
#include <gtk/gtk.h>

@class JubGtkChatUI;

@interface JubGtkRosterUI: OFObject <XMPPRosterDelegate, XMPPConnectionDelegate>
{
	GtkTreeStore *roster_model;
	GtkTreeModelFilter *roster_filter;
	OFMapTable *groupMap;
	OFMutableDictionary *contactMap;
	OFMutableDictionary *chatMap;
	OFCountedSet *presences;
	XMPPConnection *connection;
	GtkBuilder *builder;
}

- initWithBuilder: (GtkBuilder*)builder
       connection: (XMPPConnection*)connection;
- (JubGtkChatUI*)chatForJID: (XMPPJID*)jid;
@end
